|  | Home

# QtPointFPropertyManager Class Reference

The QtPointFPropertyManager provides and manages QPointF properties. More...

     #include <QtPointFPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

### Public Functions

- QtPointFPropertyManager ( QObject * parent = 0 )
- ~QtPointFPropertyManager ()
- int decimals ( const QtProperty * property ) const
- QtDoublePropertyManager * subDoublePropertyManager () const
- QPointF value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

### Public Slots

- void setDecimals ( QtProperty * property, int prec )
- void setValue ( QtProperty * property, const QPointF & value )

- 1 public slot inherited from QObject

### Signals

- void decimalsChanged ( QtProperty * property, int prec )
- void valueChanged ( QtProperty * property, const QPointF & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtPointFPropertyManager provides and manages QPointF properties.

A point property has nested x and y subproperties. The top-level property's value can be retrieved using the value() function, and set using the setValue() slot.

The subproperties are created by a QtDoublePropertyManager object. This manager can be retrieved using the subDoublePropertyManager() function. In order to provide editing widgets for the subproperties in a property browser widget, this manager must be associated with an editor factory.

In addition, QtPointFPropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager, QtDoublePropertyManager, and QtPointPropertyManager.

## Member Function Documentation

### QtPointFPropertyManager::QtPointFPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtPointFPropertyManager::~QtPointFPropertyManager ()

Destroys this manager, and all the properties it has created.

### int QtPointFPropertyManager::decimals ( const QtProperty * property ) const

Returns the given property's precision, in decimals.

See also setDecimals().

### void QtPointFPropertyManager::decimalsChanged ( QtProperty * property, int prec ) `[signal]`

This signal is emitted whenever a property created by this manager changes its precision of value, passing a pointer to the property and the new prec value

See also setDecimals().

### void QtPointFPropertyManager::setDecimals ( QtProperty * property, int prec ) `[slot]`

Sets the precision of the given property to prec.

The valid decimal range is 0-13. The default is 2.

See also decimals().

### void QtPointFPropertyManager::setValue ( QtProperty * property, const QPointF & value ) `[slot]`

Sets the value of the given property to value. Nested properties are updated automatically.

See also value() and valueChanged().

### QtDoublePropertyManager * QtPointFPropertyManager::subDoublePropertyManager () const

Returns the manager that creates the nested x and y subproperties.

In order to provide editing widgets for the subproperties in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### QPointF QtPointFPropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns a point with coordinates (0, 0).

See also setValue().

### void QtPointFPropertyManager::valueChanged ( QtProperty * property, const QPointF & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().